Part3 Developers

Instructions list

GET /admin/documents/instructions

List instructions (SIs) with format-specific fields (reason, consultants, change document reference).

GET
/admin/documents/instructions
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string

Pagination cursor

limit?string

Page size (1-50, default 25)

sortBy?string

Sort field. Supported: createdAt, updatedAt, dueDate, title.

sortOrder?string

Sort direction (default: desc)

Value in"asc" | "desc"
status?string

Filter by document status (comma-separated)

Lengthlength <= 500
search?string

Search by title or document id/number

Lengthlength <= 500
projectId?string

Filter by project ID

organizationId?string

Filter by organization ID

filter.status?string
Lengthlength <= 500
filter.dueDate?string
Lengthlength <= 25
filter.createdAt?string
Lengthlength <= 25
filter.issuedAt?string
Lengthlength <= 25
includeMeta?string

Include meta.filters with enum values for filterable columns

Value in"true"

Response Body

application/json

curl -X GET "https://api.part3.io/v1/admin/documents/instructions"
{
  "data": [
    {
      "uid": "string",
      "id": null,
      "format": "string",
      "type": "string",
      "title": null,
      "status": "string",
      "priority": null,
      "dueDate": null,
      "issuedAt": null,
      "createdAt": null,
      "updatedAt": null,
      "projectId": "string",
      "projectName": null,
      "organizationId": null,
      "organizationName": null,
      "reason": null,
      "consultants": [
        {}
      ],
      "parentUid": null,
      "parentId": null,
      "parentTitle": null
    }
  ],
  "total": 0,
  "nextCursor": null,
  "hasMore": true,
  "meta": {}
}